<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <div id="app">
        <button-counter></button-counter>
        <button-counter></button-counter>
        <button-counter></button-counter>
    </div>
    <script src="https://unpkg.com/vue@2.6.10/dist/vue.js"></script>
    <script>
        Vue.component('button-counter', {
            data: function() {
                return {
                   counter: 0
                }
            },
            template: `<div>
                        <button @click="counter++">inc</button>
                        <p>counter: {{ counter }}</p>
                      </div>`
        });

        const vm = new Vue({
            el: '#app'
        });
        


    </script>
</body>
</html>